Subject: Re: Hand Configuration of Ad Hoc Nets?

From: Walt Lazear <[email-masked]>
Date: Fri, 13 Mar 1998 12:48:58 -0500

At 12:49 PM 3/9/98 -0500, Joel Halpern wrote:
>This is just my personal take, but in the spectrum that Charlie suggested,
>I think that this working group adds more value in the 50 nodes with no
>configuration than it does in th 10,000 node case.
>All solutions have scaling limits.  It is important to be aware of those
>limits.  Trying to completely avoid them is a waste of time.
>
>So, given the nature of manet, I would start by trying to figure out what
>I need for assignment/management of addressing for completely dynamic
>communication.  (Note that if there is a requestor/assignor, then one must
>solve the problem of getting a multi-hop response back to someone who does
>not yet have an address.)

The approach I've taken in a research project to create self-configuring
routers is to treat the radio medium as a broadcast ethernet.  That is,
the radios play their own game to create the illusion of a single
broadcast realm and they heal partitions and do any link-level
relaying that is required to maintain this illusion.  This let
me use DHCP to provision addresses for the routers.  It also let
me use Router Discovery (with a slight addition of an AS number)
to discover my BGP neighbors dynamically.  Tie this with OSPF
locally and you get flow-through AS's dynamically configured.
It's working in our lab now, but with LANs instead of radios.

One improvement to the scheme above might be if the radios each had
some unique ID that could be used to derive an IP address and eliminate
the DHCP server requirement.  Another model is the Appletalk
assertion behavior where you listen, pick an address, and
assert it to be yours.

>Sepearately, we have already been discussing various techniques for
>routing these addresses, assuming that they are assigned.
>
>In each of these two areas, if there are ways to extend the scale without
>losing the basic goals (autoconfig, dynamic routing, adaptability,
>practicallity of gateway to the rest of the world) then it is worth
>including such techniques.
>It is not worth solving the problems of the entire internet.  And
>somewhere between 100 and 100,000 nodes that is what you start trying to
>do.
>
>
>Yours,
>Joel M. Halpern                         [email-masked]
>Newbridge Networks Inc.
>
>
>

Walt Lazear
MITRE Corp.       [email-masked]

---

From: Chip Elliott <[email-masked]>
Date: Fri, 13 Mar 1998 17:25:56 -0500

>It's working in our lab now, but with LANs instead of radios.

Walt,

Just another data point, but various of the BBN projects take
the same general approach. That is, we like to treat the radio
level like a bridged Ethernet, so a packet takes just one IP
hop to get across the entire ad hoc network, no matter how many
radio hops.

It seems to me that there are, however, two general minuses
to this approach:

1. The standard Internet routing protocols scale extremely poorly
on a single big Ethernet. OSPF is by far the worst miscreant. Our NTDR
setup calls for 400-1,000 OSPF routers on the ad hoc network (ie, each
is doing IP level forwarding between its attached Ethernet and
serial ports and ad hoc network). Since OSPF traffic grows
O(n**3), it just isn't feasible to use standard OSPF on the
radio net if you treat it as one big Ethernet.

2. Furthermore, as the MANET group has said, it is very nice
to be able to do radio routing across a number of different
radio / infrared / etc. technologies. In general, these may need
to use radically different subnet protocols. So we seem to have
agreed on the idea that routing should be done at the IP layer,
at least within the context of the MANET group.

Needless to say, I think that doing ad hoc routing down at
the subnet layer (a la Ethernet bridges) has more good points
than bad points. But reasonable people can disagree, right?

Cheers,

-- Chip